<template>
  <v-app class="check_colorgraphic">
    <div class="page">
      <div style="text-align:center;">
        <B><span style="font-size:20px">{{ get_print.hospital_name_th }}</span></B>
      </div>
      <br />
      <v-row v-if="get_print.link_s3_plot">
        <v-col cols="6" sm="6" md="6">
          <v-img style="width: 100%;height: auto;" :src="get_print.link_s3_png"></v-img>
        </v-col>
        <v-col cols="6" sm="6" md="6" v-if="get_print.link_s3_plot">
          <v-img style="width: 100%;height: auto;" :src="get_print.link_s3_plot"></v-img>
        </v-col>
      </v-row>
      <v-row v-else>
        <v-col cols="3" sm="3" md="3"></v-col>
        <v-col cols="6" sm="6" md="6">
          <v-img style="width: 100%;height: auto;" :src="get_print.link_s3_png"></v-img>
        </v-col>
        <v-col cols="3" sm="3" md="3"></v-col>
      </v-row>
      <br />
      <v-row>
        <v-col cols="12" class="text-start">
          <span style="color:black" class="mb-2">File Name : {{ get_print.old_filename }}</span>
          <v-divider></v-divider>
        </v-col>
        <br />
        <v-col cols="12" class="text-start">
          <span style="color:black" class="mb-2">Patient Name : {{ get_print.patient_name }}</span>
          <v-divider></v-divider>
        </v-col>
        <br />
        <v-col cols="12" class="text-start">
          <span style="color:black" class="mb-2">H/N : {{ get_print.HN }}</span>
          <v-divider></v-divider>
        </v-col>
        <br />
        <v-col cols="12" class="text-start">
          <span style="color:black" class="mb-2">
            Status :
            <span v-for="item in get_print.list_status_disease" :key="item">
              <span> {{ item }}<span v-if="item != 'Normal'">%</span> </span>
              <br />
              <span class="ml-12"></span>
              <span class="ml-2"></span>
            </span>
          </span>
          <v-divider></v-divider>
        </v-col>
        <br />
        <v-col cols="12" class="text-start">
          <span style="color:black" class="mb-2">
            Feedback :
            <span v-if="get_print.feed_back != ''">
              {{ get_print.feed_back }}
            </span>
            <span v-else> - </span>
          </span>
          <v-divider></v-divider>
        </v-col>
        <br />
      </v-row>
    </div>
  </v-app>
</template>

<script>
export default {
  data() {
    return {
      get_print: ""
    };
  },
  mounted() {
    this.get_print = JSON.parse(localStorage.getItem("data_print"));
    console.log("data_print ==>", this.get_print);
    // this.set_time_print();
  },
  methods: {
    set_time_print() {
      setTimeout(function() {
        print();
      }, 4000);
    }
  }
};
</script>

<style scoped>
.check_colorgraphic {
  color-adjust: exact;
  -webkit-print-color-adjust: exact;
}

.page {
  width: 21cm;
  min-height: 29.7cm;
  padding: 2cm;
  margin: 1cm auto;
  border: 1px white solid;
  border-radius: 5px;
  background: white;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}

@page {
  size: A4;
  margin: 0;
}

@media print {
  .page {
    margin: 0;
    border: initial;
    border-radius: initial;
    width: initial;
    min-height: initial;
    box-shadow: initial;
    background: initial;
    page-break-after: always;
  }
}
</style>
